import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { BackupDestinationWhereInputObjectSchema as BackupDestinationWhereInputObjectSchema } from './BackupDestinationWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => BackupDestinationWhereInputObjectSchema).optional(),
  some: z.lazy(() => BackupDestinationWhereInputObjectSchema).optional(),
  none: z.lazy(() => BackupDestinationWhereInputObjectSchema).optional()
}).strict();
export const BackupDestinationListRelationFilterObjectSchema: z.ZodType<Prisma.BackupDestinationListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationListRelationFilter>;
export const BackupDestinationListRelationFilterObjectZodSchema = makeSchema();
